curl --request GET \
--url https://app.sendmux.ai/api/v1/emails/logs \
--header 'Authorization: Bearer <token>'{
"ok": true,
"data": [
{
"id": "dlog_clxxxxxxxxxxxxxxxxxxxxxxxxx",
"provider_id": "<string>",
"provider_name": "<string>",
"message_id": "<string>",
"from_email": "<string>",
"sent_from_email": "<string>",
"to_email": "<string>",
"subject": "<string>",
"status": "pending",
"status_reason": "<string>",
"attempts": 123,
"sent_at": "<string>",
"size_bytes": 123,
"created_at": "<string>"
}
],
"pagination": {
"has_more": true,
"next_cursor": "<string>"
},
"meta": {
"request_id": "<string>"
}
}Returns paginated delivery logs with cursor-based pagination and filters.
curl --request GET \
--url https://app.sendmux.ai/api/v1/emails/logs \
--header 'Authorization: Bearer <token>'{
"ok": true,
"data": [
{
"id": "dlog_clxxxxxxxxxxxxxxxxxxxxxxxxx",
"provider_id": "<string>",
"provider_name": "<string>",
"message_id": "<string>",
"from_email": "<string>",
"sent_from_email": "<string>",
"to_email": "<string>",
"subject": "<string>",
"status": "pending",
"status_reason": "<string>",
"attempts": 123,
"sent_at": "<string>",
"size_bytes": 123,
"created_at": "<string>"
}
],
"pagination": {
"has_more": true,
"next_cursor": "<string>"
},
"meta": {
"request_id": "<string>"
}
}Documentation Index
Fetch the complete documentation index at: https://docs.sendmux.ai/llms.txt
Use this file to discover all available pages before exploring further.
Sendmux API key. Obtain from the dashboard under API Keys. Format: smx_root_...
Max results (default 25)
1 <= x <= 100Cursor from previous page
pending, sent, failed, rejected ISO 8601 start date
ISO 8601 end date
Filter by provider publicId
Search to_email, from_email, sent_from_email, subject, message_id
Delivery log list
true Hide child attributes
Log public ID
"dlog_clxxxxxxxxxxxxxxxxxxxxxxxxx"
Provider public ID
Provider display name
Email Message-ID header
The actual from address used for delivery after transformation. NULL if no transformation occurred or for older log entries.
pending, sent, failed, rejected ISO 8601 timestamp when email was sent
ISO 8601 creation timestamp
Was this page helpful?